# 32/64bit spec-file
#
%define lib_major 2
%define lib_major2 6
%define lib_name %mklibname %{name} %{lib_major}
%define lib_dev %mklibname %{name} -d

%define common_description The OpenJPEG library is an open-source JPEG 2000 codec written in C\
language. It has been developed in order to promote the use of JPEG\
2000, the new still-image compression standard from the Joint\
Photographic Experts Group (JPEG).

Name: openjpeg
Version: 2.0.0
Release: %mkrel 3
Summary: An open-source JPEG 2000 codec 
Source0: %{name}-%{version}.tar.xz

License: BSD
Group: System/Libraries
Url: http://www.openjpeg.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: zlib-devel
BuildRequires: tiff-devel
BuildRequires: png-devel
BuildRequires: %{_lib}lcms2-devel
BuildRequires: %{_lib}lcms-devel

%description
%{common_description}

%package -n %{lib_name}
Summary: %{name} library
Group: System/Libraries

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with the %{oname} library.

%{common_description}

%files -n %{lib_name}
%defattr(-,root,root)
%{_docdir}/%{name}/CHANGES
%{_docdir}/%{name}/LICENSE
%{_bindir}/opj_compress
%{_bindir}/opj_decompress
%{_bindir}/opj_dump
%{_libdir}/*.so.%{lib_major}*
%{_libdir}/*.so.%{lib_major2}
%{_mandir}/man1/opj_compress.1.bz2
%{_mandir}/man1/opj_decompress.1.bz2
%{_mandir}/man1/opj_dump.1.bz2

#---------------------------------------------

%package -n %{lib_dev}
Summary: Development tools for programs using the %{name} library
Group: Development/Libraries
Requires: %{lib_name} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Conflicts: %{_lib}openjpeg1-devel

%description -n	%{lib_dev}
This package contains the header files and libraries needed for
developing programs using the %{oname} library.

%{common_description}

%files -n %{lib_dev}
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/openjpeg-2.0/*.cmake
%{_mandir}/man3/libopenjp2.3.bz2

#---------------------------------------------

%prep
%setup -q -n %{name}-%{version}

%build
%cmake \
  -DOPENJPEG_INSTALL_BIN_DIR:PATH=%{_bindir} \
  -DOPENJPEG_INSTALL_DATA_DIR:PATH=%{_datadir} \
  -DOPENJPEG_INSTALL_INCLUDE_DIR:PATH=%{_includedir} \
  -DOPENJPEG_INSTALL_LIB_DIR:PATH=%{_libdir}
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

mv %{buildroot}%{_docdir}/%{name}-* %{buildroot}%{_docdir}/%{name}

%clean
rm -rf %buildroot

%changelog
* Wed Sep 25 2013 billybot <billybot> 2.0-3pclos2013
- add conflicts to openjpeg1-devel

* Sat Mar 23 2013 pinoc <vogtpet at gmail.com> 2.0-2pclos2013
- fixed cmake to install libs to lib64 on 64
- fix doc install

* Mon Mar 18 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 2.0-1pclos2013
- 2.0
- removed patch
- fixed build process for new cmake
- fixed file sections for new files

* Mon Aug 09 2010 Texstar <texstar at gmail.com> 1.3-4pclos2010
- back out libjpeg8

* Wed Aug 04 2010 Texstar <texstar at gmail.com> 1.3-3pclos2010
- rebuild

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 1.3-2pclos2010
- system rebuild

* Wed Oct 07 2009 Texstar <texstar at gmail.com> 1.3-1pclos2010
- 1.3

